﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

.caixa-reserva-cinza {
    padding-top: 6px;
    padding-bottom: 6px;
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 6px;
    border: 1px, solid, #fff;
    color: #fff;
    text-transform: uppercase;
    font-weight: 800;
    caixa-reserva-verde font-size: 11px;
    border: 1px solid #fff;
    background-color: #33bec2;
    /*  background-color: #e9ecef;*/
}

.caixa-reserva-verde {
    padding-top: 6px;
    padding-bottom: 6px;
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 6px;
    border: 1px, solid, #fff;
    color: #fff;
    text-transform: uppercase;
    font-weight: 800;
    font-size: 11px;
    border: 1px solid #fff;
    background-color: #32ba69;
}

.caixa-reserva-vermelha {
    padding-top: 6px;
    padding-bottom: 6px;
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 6px;
    color: #fff;
    text-transform: uppercase;
    font-size: 11px;
    font-weight: 800;
    border: 1px solid #fff;
    background-color: #a90e31;
}

.caixa-posto-estudo-azul {
    padding-top: 6px;
    padding-bottom: 6px;
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 6px;
    border: 1px, solid, #fff;
    color: #fff;
    text-transform: uppercase;
    font-weight: 800;
    font-size: 11px;
    border: 1px solid #fff;
    background-color: #33BEC2;
}

.caixa-posto-estudo-cinza-claro {
    padding-top: 6px;
    padding-bottom: 6px;
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 6px;
    border: 1px, solid, #fff;
    color: #fff;
    text-transform: uppercase;
    font-weight: 800;
    font-size: 11px;
    border: 1px solid #fff;
    background-color: #D6D6D6;
}

.caixa-posto-estudo-cinza-escuro {
    padding-top: 6px;
    padding-bottom: 6px;
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 6px;
    color: #fff;
    text-transform: uppercase;
    font-size: 11px;
    font-weight: 800;
    border: 1px solid #fff;
    background-color: #8E8E8E;
}

.caixa-posto-estudo-span {
    font-size: 11px;
    font-weight: normal;
}


.alert-danger {
    padding-top: 10px;
    padding-bottom: 4px;
    padding-left: 8px;
    padding-right: 8px;
    border-radius: 6px;
    margin-top: 6px;
    margin-bottom: 14px;
    color: #a90e31;
    text-transform: uppercase;
    font-weight: 800;
    border: 1px solid #fff;
    background-color: #fce7ec;
}


.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 18px 16px;
    border-radius: 35px;
    font-size: 24px;
    line-height: 1.33;
}

.dropdown-item {
    padding-top: 6px;
    padding-bottom: 6px;
}

    .dropdown-item:hover {
        background-color: #33bec2;
        color: #fff;
    }

a, a:hover {
    color: #000;
}

.breadcrumb {
    background-color: #fff;
    padding: 0px;
    color: #000;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

.dt-buttons {
    float: right;
    text-align: center;
    padding: 0px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.btn-info, .badge-info {
    background-color: #33bec2;
    border-color: #33bec2;
}

.btn-danger, .badge-danger {
    background-color: #a90e31;
    border-color: #a90e31;
    font-size: 14px;
}

.btn-success, .badge-success {
    background-color: #32ba69;
    border-color: #32ba69;
    font-size: 14px;
}

.alert-success {
    background-color: #defceb;
    border-color: #32ba69;
    color: #32ba69;
}

.dataTables_filter {
    float: initial;
    text-align: left;
    padding: 0px;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-right: 10px;
}

.control-label {
    margin-top: 6px;
    margin-bottom: 2px;
    font-weight: 600;
}

.text-danger {
    font-weight: 600;
    color: #a90e31;
}

.dt-button {
    border: none;
    background-color: transparent;
    height: 32px;
    width: 32px;
    color: transparent;
}

.btn {
    font-weight: 600;
}

.buttons-excel {
    background-image: url(../images/excel.png);
}

.buttons-pdf {
    background-image: url(../images/pdf.png);
}

.buttons-csv {
    background-image: url(../images/csv.png);
}

.buttons-copy {
    background-image: url(../images/copiar.png);
}

.fa-pencil-alt {
    background-image: url(../images/editar.png);
    color: transparent;
    width: 20px;
    height: 20px;
}

.fa-info {
    background-image: url(../images/visualizar.png);
    color: transparent;
    width: 20px;
    height: 20px;
}

.fa-trash-alt {
    background-image: url(../images/excluir.png);
    color: transparent;
    width: 20px;
    height: 20px;
}

.dataTables_filter {
    font-weight: 600;
    color: #000;
}

    .dataTables_filter input {
        height: calc(1.5em + 0.75rem + 2px);
        width: 280px;
        padding: 0.375rem 0.75rem;
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #000;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #000;
        border-radius: 0.25rem;
        transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }

/*.dataTables_paginate, .paging_simple_numbers, */
.paginate_button {
    background-color: transparent;
    background-image: none;
    font-weight: 600;
    color: #000;
}

.fas fa-pen, fas fa-search, fas fa-trash {
    width: 36px;
    height: 36px;
    color: #32ba69;
}

.dropdown-item {
    color: #FFFFFF;
}

.table-bordered {
    border: 0px none #fff;
}

    .table-bordered thead {
        text-transform: uppercase;
        vertical-align: middle;
    }

#datatable-data {
    border-bottom: 1px solid #7d98e9;
}

    #datatable-data th {
        text-transform: uppercase;
        vertical-align: middle;
        border-top: 1px solid #7d98e9;
        border-bottom: 1px solid #7d98e9;
    }

.table-bordered th, .table-bordered td {
    border: 0px none #fff;
    color: #000;
}

.dataTables_info {
    font-weight: 600;
    color: #000;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
    font-family: Calibri, Arial;
}

@media (min-width: 768px) {
    html {
        font-size: 14px;
        font-family: Calibri, Arial;
    }
}

.badge-warning {
    background-color: #ffcc33;
    border-color: #ffe549;
    font-size: 14px;
    color: #fff;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
    height: 100%;
}

body {
    margin-bottom: 60px;
    font-size: 14px;
    font-family: Calibri, Arial;
    height: 100%;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    height: 60px;
    line-height: 60px;
}

/* Absolute Center Spinner */
.loading {
    position: fixed;
    display: none;
    z-index: 1031;
    height: 2em;
    width: 2em;
    overflow: auto;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

    /* Transparent Overlay */
    .loading:before {
        content: '';
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.3);
    }

    /* :not(:required) hides these rules from IE9 and below */
    .loading:not(:required) {
        font: 0/0 a;
        color: transparent;
        text-shadow: none;
        background-color: transparent;
        border: 0;
    }

        .loading:not(:required):after {
            content: '';
            display: block;
            font-size: 10px;
            width: 1em;
            height: 1em;
            margin-top: -0.5em;
            -webkit-animation: spinner 1500ms infinite linear;
            -moz-animation: spinner 1500ms infinite linear;
            -ms-animation: spinner 1500ms infinite linear;
            -o-animation: spinner 1500ms infinite linear;
            animation: spinner 1500ms infinite linear;
            border-radius: 0.5em;
            -webkit-box-shadow: rgba(0, 0, 0, 0.75) 1.5em 0 0 0, rgba(0, 0, 0, 0.75) 1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) 0 1.5em 0 0, rgba(0, 0, 0, 0.75) -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.5) -1.5em 0 0 0, rgba(0, 0, 0, 0.5) -1.1em -1.1em 0 0, rgba(0, 0, 0, 0.75) 0 -1.5em 0 0, rgba(0, 0, 0, 0.75) 1.1em -1.1em 0 0;
            box-shadow: rgba(0, 0, 0, 0.75) 1.5em 0 0 0, rgba(0, 0, 0, 0.75) 1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) 0 1.5em 0 0, rgba(0, 0, 0, 0.75) -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) -1.5em 0 0 0, rgba(0, 0, 0, 0.75) -1.1em -1.1em 0 0, rgba(0, 0, 0, 0.75) 0 -1.5em 0 0, rgba(0, 0, 0, 0.75) 1.1em -1.1em 0 0;
        }

/* Animation */
@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.w-30 {
    width: 30% !important;
}

.w-35 {
    width: 35% !important;
}

.w-40 {
    width: 35% !important;
}
